Name:           python-deampy
Version:        1.4.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Decision analysis in medicine and public health

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/modeling-health-care-decisions/deampy
Source:         %{pypi_source deampy}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'deampy' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-deampy
Summary:        %{summary}

%description -n python3-deampy %_description


%prep
%autosetup -p1 -n deampy-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-deampy -f %{pyproject_files}


%changelog
%autochangelog